Skip to content
Back to top
View this page

# XEP-0222: Persistent Storage of Public Data via PubSub

XEP-0222 on xmpp.org

class slixmpp.plugins.xep_0222.XEP_0222(xmpp, config=None)

  XEP-0222: Persistent Storage of Public Data via PubSub

  configure(node, **iqkwargs)

    Update a node’s configuration to match the public storage profile.

    Parameters:

      node (`str`) – Node to set the configuration at.

    Return type:

      `Future`

  retrieve(node, id=None, item_ids=None, **iqkwargs)

    Retrieve public data via PEP.

    This is just a (very) thin wrapper around the XEP-0060 publish() method to set the defaults expected by PEP.

    Parameters:

      - node (`str`) – The node to retrieve content from.

      - id (`str` | `None`) – Optionally specify the ID of the item.

      - item_ids (`list`[`str`] | `None`) – Specify a group of IDs. If id is also specified, it will be included in item_ids.

    Return type:

      `Future`

  store(stanza, node=None, id=None, **pubsubkwargs)

    Store public data via PEP.

    This is just a (very) thin wrapper around the XEP-0060 publish() method to set the defaults expected by PEP.

    Parameters:

      - stanza (`ElementBase`) – The public content to store.

      - node (`str` | `None`) – The node to publish the content to. If not specified, the stanza’s namespace will be used.

      - id (`str` | `None`) – Optionally specify the ID of the item.

      - options – Publish options to use, which will be modified to fit the persistent storage option profile.

    Return type:

      `Future`